Chromium Code Reviews
Help | Chromium Project | Sign in
(2)

Issue 2702613003: webkit_layout_tests: Add osmesa as data_dep. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 month, 1 week ago by mithro
Modified:
1 month ago
CC:
chromium-reviews, mcgreevy, qyearsley, jeffcarp
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

webkit_layout_tests: Add osmesa as data_dep. osmesa is a "loadable module" object and hence needs to end up in the data_deps file. See content/shell:content_shell_crash_test for another example of this. BUG=693002, 524758 NOTRY=true Review-Url: https://codereview.chromium.org/2702613003 Cr-Commit-Position: refs/heads/master@{#451226} Committed: https://chromium.googlesource.com/chromium/src/+/aac85d78a79fe653d913ad9278c18da28900a25b

Patch Set 1 #

Total comments: 1

Messages

Total messages: 26 (15 generated)
mithro
Hi! This patch should fix (or get us closer to) LayoutTests on swarming for the ...
1 month, 1 week ago (2017-02-17 00:09:14 UTC) #5
mithro
Hi John, Looks like Dirk is OO today. Can you give me an LGTM for ...
1 month, 1 week ago (2017-02-17 00:57:17 UTC) #7
jbudorick
lgtm
1 month, 1 week ago (2017-02-17 00:59:57 UTC) #8
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2702613003/1
1 month, 1 week ago (2017-02-17 01:21:47 UTC) #11
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_x64_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_x64_rel_ng/builds/368380)
1 month, 1 week ago (2017-02-17 02:39:48 UTC) #13
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2702613003/1
1 month, 1 week ago (2017-02-17 02:46:48 UTC) #15
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_asan_rel_ng on master.tryserver.chromium.linux (JOB_TIMED_OUT, no build URL)
1 month, 1 week ago (2017-02-17 04:36:31 UTC) #17
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2702613003/1
1 month, 1 week ago (2017-02-17 04:41:23 UTC) #20
commit-bot: I haz the power
Committed patchset #1 (id:1) as https://chromium.googlesource.com/chromium/src/+/aac85d78a79fe653d913ad9278c18da28900a25b
1 month, 1 week ago (2017-02-17 05:13:59 UTC) #23
Dirk Pranke (slow until 28th)
https://codereview.chromium.org/2702613003/diff/1/BUILD.gn File BUILD.gn (right): https://codereview.chromium.org/2702613003/diff/1/BUILD.gn#newcode933 BUILD.gn:933: "//third_party/mesa:osmesa", This doesn't seem right. Why would the layout ...
1 month ago (2017-02-23 02:59:11 UTC) #25
mithro
1 month ago (2017-02-24 00:23:35 UTC) #26
Message was sent while issue was closed.
On 2017/02/23 02:59:11, Dirk Pranke wrote:
> https://codereview.chromium.org/2702613003/diff/1/BUILD.gn
> File BUILD.gn (right):
> 
> https://codereview.chromium.org/2702613003/diff/1/BUILD.gn#newcode933
> BUILD.gn:933: "//third_party/mesa:osmesa",
> This doesn't seem right. Why would the layout tests themselves directly need
> this? And isn't this already listed as a data dependency of content_shell?

I don't quite understand /why/ this is needed but it definitely works.
content/shell:content_shell_crash_test is another example of this happening. I
think it might have to do with osmesa being a "loadable module"? Really need
someone who understands GN better than I do to figure out what is going on here.

I've logged https://crbug.com/695691 about this issue.

Tim 'mithro' Ansell
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld d1a128a62